/*  open the errors.guide GUIDENAME and display hte specified node  */
/*  link with minstart.o                                            */

#include <clib/amigaguide_protos.h>
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <libraries/amigaguide.h>

struct Library *AmigaGuideBase,*DOSBase;
struct NewAmigaGuide nag;

#define GUIDENAME "vbcc:doc/VBCCMessages.guide"

main(char *args)
{
    AMIGAGUIDECONTEXT handle;

    if(!(DOSBase=OpenLibrary("dos.library",0))) return(20);

    nag.nag_Name=GUIDENAME;
    nag.nag_Node=args;
    nag.nag_Line=0;

    if(AmigaGuideBase=OpenLibrary("amigaguide.library",0)){


        if(handle=OpenAmigaGuideA(&nag,0))
            CloseAmigaGuide(handle);
        else
            Write(Output(),"Could not open guide\n",21);

        CloseLibrary(AmigaGuideBase);

    }else Write(Output(),"Could not open amigaguide.library\n",34);

    CloseLibrary(DOSBase);

    return(0);
}
